/**************************************************************************
*  Copyright (c) 2014 by Michael Fischer.
*  All rights reserved.
*
*  Redistribution and use in source and binary forms, with or without 
*  modification, are permitted provided that the following conditions 
*  are met:
*  
*  1. Redistributions of source code must retain the above copyright 
*     notice, this list of conditions and the following disclaimer.
*  2. Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in the 
*     documentation and/or other materials provided with the distribution.
*  3. Neither the name of the author nor the names of its contributors may 
*     be used to endorse or promote products derived from this software 
*     without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
*  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL 
*  THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
*  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
*  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS 
*  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
*  AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
*  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF 
*  THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
*  SUCH DAMAGE.
*
***************************************************************************
*  History:
*
*  18.04.2014  mifi  First Version
**************************************************************************/
#if !defined(__CHCONF_CW4A_H__)
#define __CHCONF_CW4A_H__

/**************************************************************************
*  Includes
**************************************************************************/

/**************************************************************************
*  Global Definitions
**************************************************************************/

/*
 * Prevent error in case of CrossWorks for ARM.
 */
#define asm             __asm

#define Vector134       ETH_IRQHandler        
#define Vector14C       OTG_FS_IRQHandler        
#define Vector174       OTG_HS_IRQHandler        
#define Vector168       OTG_HS_EP1_OUT_IRQHandler
#define Vector16C       OTG_HS_EP1_IN_IRQHandler 

#define SysTickVector   SysTick_Handler
#define SVCallVector    SVC_Handler


#if !defined(_RUN_FROM_EXTRAM)   /* Defined by the Preprocessor */
#define __heap_base__   __RAM_segment_used_end__
#define __heap_end__    __RAM_segment_end__
#else
#define __heap_base__   __External_SRAM_segment_used_end__
#define __heap_end__    __External_SRAM_segment_end__
#endif


#ifdef VECTORS_IN_RAM
extern unsigned long _vectors_ram[];
#define CORTEX_VTOR_INIT (unsigned long)_vectors_ram
#else
extern unsigned long _vectors[];
#define CORTEX_VTOR_INIT (unsigned long)_vectors
#endif


#define CH_STACK_FILL_VALUE         0xCC

#define PORT_IDLE_THREAD_STACK_SIZE 64

/**************************************************************************
*  Macro Definitions
**************************************************************************/

/**************************************************************************
*  Funtions Definitions
**************************************************************************/

#endif /* !__CHCONF_CW4A_H__ */
/*** EOF ***/
